

package gov.va.med.cds.exception;


/**
 * 
 * Used for exceptions other than the business exceptions.
 * 
 */
public class SystemException
    extends
        AbstractCdsBaseException
{
    private static final long serialVersionUID = -2421073329915737478L;


    public SystemException( ErrorCodeEnum errorCodeName, String... customMsg )
    {
        super( errorCodeName, customMsg );
    }


    public SystemException( ErrorCodeEnum errorCode, Throwable cause )
    {
        super( errorCode, cause );
    }


    public SystemException( ErrorCodeEnum errorCode, Throwable cause, String... customMsg )
    {
        super( errorCode, cause, customMsg );
    }


    public SystemException( ErrorCodeEnum errorCodeName )
    {
        super( errorCodeName );
    }
     
}
